List campaigns
Campaigns with their Active state and category.
GET https://cotlet.dev/api/v1/mautic/campaigns
read
Lists the campaigns of your Mautic. active is true when the Active switch of the campaign is on. category is the Category you set on the campaign, or null. Use campaign_id with set_campaign_active.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/mautic/campaigns \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("mautic", "list_campaigns") const result = await cotlet.call('mautic', 'list_campaigns'); cotlet call mautic list_campaigns Example response
{
"campaigns": [
{
"campaign_id": 12,
"name": "Webinar follow-up",
"active": true,
"category": "Webinars"
},
{
"campaign_id": 15,
"name": "Birthday email",
"active": false,
"category": null
}
]
}